企业商标信息
请求Header:
| 名称 | 值 | |
|---|---|---|
| Content-Type | application/x-www-form-urlencoded |
请求参数说明:
| 名称 | 必填 | 类型 | 说明 | |
|---|---|---|---|---|
| key | 是 | string | 在个人中心->我的数据,接口名称上方查看 | |
| appDateBegin | 否 | String | 申请开始日期 | |
| pageSize | 否 | Number | 每页条数(默认20条,最大20条) | |
| tmClass | 否 | String | 国际分类(参考文档商标国际分类.pdf) | |
| appDateEnd | 否 | String | 申请结束日期 | |
| keyword | 是 | String | 搜索关键字(公司名称、公司id、注册号或社会统一信用代码) | |
| pageNum | 否 | Number | 当前页数(默认第1页) | |
| status | 否 | String | 商标状态 1-商标已注册 2-商标无效 3-初审公告 4-等待实质审查 5-商标申请中 6-商标异议中 7-驳回复审中 8-商标其他情形 9-等待驳回复审 10-撤销/无效宣告申请审查中 |
请求代码示例:
curl -k -i "https://v.juhe.cn/opens/App/iprTm/query?key=key&appDateBegin=&pageSize=&tmClass=&appDateEnd=&keyword=xxx&pageNum=1&status="
<?php
/**
* 1635-企业商标信息 - 代码参考(根据实际业务情况修改)
*/
// 基本参数配置
$apiUrl = "https://v.juhe.cn/opens/App/iprTm/query"; // 接口请求URL
$method = "GET"; // 接口请求方式
$headers = ["Content-Type: application/x-www-form-urlencoded"]; // 接口请求header
$apiKey = "您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
$requestParams = [
'key' => $apiKey,
'appDateBegin'=> '',
'pageSize'=> '',
'tmClass'=> '',
'appDateEnd'=> '',
'keyword'=> 'xxx',
'pageNum'=> '1',
'status'=> '',
];
$requestParamsStr = http_build_query($requestParams);
// 发起接口网络请求
$curl = curl_init();
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($curl, CURLOPT_URL, $apiUrl . '?' . $requestParamsStr);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_FAILONERROR, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
if (1 == strpos("$" . $apiUrl, "https://")) {
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
}
$response = curl_exec($curl);
$httpInfo = curl_getinfo($curl);
curl_close($curl);
// 解析响应结果
$responseResult = json_decode($response, true);
if ($responseResult) {
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
var_dump($responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
// var_dump($httpInfo);
var_dump("请求异常");
}
import requests
# 1635-企业商标信息 - 代码参考(根据实际业务情况修改)
# 基本参数配置
apiUrl = 'https://v.juhe.cn/opens/App/iprTm/query' # 接口请求URL
apiKey = '您申请的调用APIkey' # 在个人中心->我的数据,接口名称上方查看
# 接口请求入参配置
requestParams = {
'key': apiKey,
'appDateBegin': '',
'pageSize': '',
'tmClass': '',
'appDateEnd': '',
'keyword': 'xxx',
'pageNum': '1',
'status': '',
}
# 发起接口网络请求
response = requests.get(apiUrl, params=requestParams)
# 解析响应结果
if response.status_code == 200:
responseResult = response.json()
# 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
print(responseResult)
else:
# 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
print('请求异常')
package main
import (
"encoding/json"
"fmt"
"net/http"
"net/url"
)
func main() {
// 基本参数配置
apiUrl := "https://v.juhe.cn/opens/App/iprTm/query"
apiKey := "您申请的调用APIkey"
// 接口请求入参配置
requestParams := url.Values{}
requestParams.Set("key", apiKey)
requestParams.Set("appDateBegin", "")
requestParams.Set("pageSize", "")
requestParams.Set("tmClass", "")
requestParams.Set("appDateEnd", "")
requestParams.Set("keyword", "xxx")
requestParams.Set("pageNum", "1")
requestParams.Set("status", "")
// 发起接口网络请求
resp, err := http.Get(apiUrl + "?" + requestParams.Encode())
if err != nil {
fmt.Println("网络请求异常:", err)
return
}
defer resp.Body.Close()
var responseResult map[string]interface{}
err = json.NewDecoder(resp.Body).Decode(&responseResult)
if err != nil {
fmt.Println("解析响应结果异常:", err)
return
}
fmt.Println(responseResult)
}
using System;
using System.Net;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.Linq;
namespace Common_API_Test.Test_Demo
{
class Csharp_get
{
static void Main(string[] args)
{
string url = "https://v.juhe.cn/opens/App/iprTm/query";
string apiKey = "您申请的调用APIkey";
Dictionary<string, string> data = new Dictionary<string, string>();
data.Add("key", apiKey);
data.Add( "appDateBegin", "");
data.Add( "pageSize", "");
data.Add( "tmClass", "");
data.Add( "appDateEnd", "");
data.Add( "keyword", "xxx");
data.Add( "pageNum", "1");
data.Add( "status", "");
using (WebClient client = new WebClient())
{
string fullUrl = url + "?" + string.Join("&", data.Select(x => x.Key + "=" + x.Value));
try
{
string responseContent = client.DownloadString(fullUrl);
dynamic responseData = JsonConvert.DeserializeObject(responseContent);
if (responseData != null)
{
Console.WriteLine("Return Code: " + responseData["error_code"]);
Console.WriteLine("Return Message: " + responseData["reason"]);
}
else
{
Console.WriteLine("json解析异常!");
}
}
catch (Exception)
{
Console.WriteLine("请检查其它错误");
}
}
}
}
}
const axios = require('axios'); // npm install axios
// 基本参数配置
const apiUrl = 'https://v.juhe.cn/opens/App/iprTm/query'; // 接口请求URL
const apiKey = '您申请的调用APIkey'; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
const requestParams = {
key: apiKey,
appDateBegin: '',
pageSize: '',
tmClass: '',
appDateEnd: '',
keyword: 'xxx',
pageNum: '1',
status: '',
};
// 发起接口网络请求
axios.get(apiUrl, {params: requestParams})
.then(response => {
// 解析响应结果
if (response.status === 200) {
const responseResult = response.data;
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
console.log(responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
console.log('请求异常');
}
})
.catch(error => {
// 网络请求失败,可以根据实际情况进行处理
console.log('网络请求失败:', error);
});
package cn.juhe.test;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;
public class JavaGet {
public static void main(String[] args) throws Exception {
String apiKey = "你申请的key";
String apiUrl = "https://v.juhe.cn/opens/App/iprTm/query";
HashMap<String, String> map = new HashMap<>();
map.put("key", apiKey);
map.put("appDateBegin", "");
map.put("pageSize", "");
map.put("tmClass", "");
map.put("appDateEnd", "");
map.put("keyword", "xxx");
map.put("pageNum", "1");
map.put("status", "");
URL url = new URL(String.format("%s?%s", apiUrl, params(map)));
BufferedReader in = new BufferedReader(new InputStreamReader((url.openConnection()).getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response);
}
public static String params(Map<String, String> map) {
return map.entrySet().stream()
.map(entry -> {
try {
return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
} catch (Exception e) {
e.printStackTrace();
return entry.getKey() + "=" + entry.getValue();
}
})
.collect(Collectors.joining("&"));
}
}
// 基本参数配置
NSString *apiUrl = @"https://v.juhe.cn/opens/App/iprTm/query"; // 接口请求URL
NSString *apiKey = @"您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
NSDictionary *requestParams = @{
@"key": apiKey,
@"appDateBegin": @"",
@"pageSize": @"",
@"tmClass": @"",
@"appDateEnd": @"",
@"keyword": @"xxx",
@"pageNum": @"1",
@"status": @"",
};
// 发起接口网络请求
NSURLComponents *components = [NSURLComponents componentsWithString:apiUrl];
NSMutableArray *queryItems = [NSMutableArray array];
[requestParams enumerateKeysAndObjectsUsingBlock:^(NSString *key, NSString *value, BOOL *stop) {
[queryItems addObject:[NSURLQueryItem queryItemWithName:key value:value]];
}];
components.queryItems = queryItems;
NSURL *url = components.URL;
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
// 网络请求异常处理
NSLog(@"请求异常");
} else {
NSError *jsonError;
NSDictionary *responseResult = [NSJSONSerialization JSONObjectWithData:data options:0 error:&jsonError];
if (!jsonError) {
// 网络请求成功处理
// NSLog(@"%@", [responseResult objectForKey:@"error_code"]);
NSLog(@"%@", responseResult);
} else {
// 解析结果异常处理
NSLog(@"解析结果异常");
}
}
}];
[task resume];
返回参数说明:
| 名称 | 类型 | 说明 | |
|---|---|---|---|
| total | String | 总数 | |
| items | Array | ||
| status | String | 状态 | |
| tmClass | String | 国际分类code | |
| searchType | String | 无用 | |
| uni | String | 唯一标识符 | |
| tmName | String | 商标名称 | |
| id | String | 商标id | |
| _type | String | 无用 | |
| intCls | String | 国际分类 | |
| tmFlow | String | 商标流程(内部使用,已经废弃) | |
| category | String | 流程类别 | |
| tmPic | String | 商标图片 | |
| connList | Array | 跳转链接 | |
| eventTime | String | 无用 | |
| appDate | String | 申请日期 | |
| regNo | String | 注册号 | |
| applicantCn | String | 申请人 | |
| error_code | string | 状态码 | |
| reason | string | 说明 | |
| result | object | 结果 | |
JSON返回示例:JSON在线格式化工具 >
{
"result": {
"total": "2",
"items": [
{
"regNo": "12537211",
"tmPic": "http://v.juhe.cn/opens/p?param=tm-image/tm/1327d6142a9711b70773d5c1f0a181c2.jpg",
"searchType": "",
"connList": [],
"_type": "",
"tmClass": "29",
"appDate": "1367856000000",
"intCls": "29-食品",
"applicantCn": "北京百度网讯科技有限公司",
"uni": "",
"tmName": "NUOMI SELECT",
"tmFlow": [
{
"cat": 2782,
"time": "2017-03-14 00:00:00"
},
{
"cat": 2781,
"time": "2016-12-10 00:00:00"
},
{
"cat": 2800,
"time": "2016-08-02 00:00:00"
},
{
"cat": 2675,
"time": "2013-05-07 00:00:00"
},
{
"cat": 2726,
"time": "2013-05-07 00:00:00"
}
],
"eventTime": "1367856000000",
"id": "11823231",
"category": "商标转让---核准证明打印发送",
"status": "商标已注册"
},
{
"regNo": "11970218",
"tmPic": "http://v.juhe.cn/opens/p?param=tm-image/tm/96f3113422fea449d340e3fa491e00df.jpg",
"searchType": "",
"connList": [],
"_type": "",
"tmClass": "29",
"appDate": "1356624000000",
"intCls": "29-食品",
"applicantCn": "北京百度网讯科技有限公司",
"uni": "",
"tmName": "NUOMI SELECTED",
"tmFlow": [
{
"cat": 2782,
"time": "2017-03-14 00:00:00"
},
{
"cat": 2781,
"time": "2016-12-10 00:00:00"
},
{
"cat": 2800,
"time": "2016-08-02 00:00:00"
},
{
"cat": 2694,
"time": "2014-03-24 00:00:00"
},
{
"cat": 2675,
"time": "2013-01-21 00:00:00"
},
{
"cat": 2726,
"time": "2012-12-28 00:00:00"
}
],
"eventTime": "1356624000000",
"id": "11559269",
"category": "商标转让---核准证明打印发送",
"status": "商标已注册"
}
]
},
"reason": "success",
"error_code": 0
}
服务级错误码参照(error_code):
| 错误码 | 说明 | |
|---|---|---|
| 263300 | 网络超时,请稍后再试 | |
| 263301 | 参数缺失 | |
| 263302 | 参数不合法 | |
| 263303 | 请求失败 | |
| 263304 | 查询无结果 | |
| 263305 | 未知错误 |
系统级错误码参照:
| 错误码 | 说明 | 旧版本(resultcode) | |
|---|---|---|---|
| 10001 | 错误的请求KEY | 101 | |
| 10002 | 该KEY无请求权限 | 102 | |
| 10003 | KEY过期 | 103 | |
| 10004 | 错误的OPENID | 104 | |
| 10005 | 应用未审核超时,请提交认证 | 105 | |
| 10007 | 未知的请求源 | 107 | |
| 10008 | 被禁止的IP | 108 | |
| 10009 | 被禁止的KEY | 109 | |
| 10011 | 当前IP请求超过限制 | 111 | |
| 10012 | 请求超过次数限制 | 112 | |
| 10013 | 测试KEY超过请求限制 | 113 | |
| 10014 | 系统内部异常(调用充值类业务时,请务必联系客服或通过订单查询接口检测订单,避免造成损失) | 114 | |
| 10020 | 接口维护 | 120 | |
| 10021 | 接口停用 | 121 |
错误码格式说明(示例:200201):
| 2 | 002 | 01 | |
|---|---|---|---|
| 服务级错误(1为系统级错误) | 服务模块代码(即数据ID) | 具体错误代码 |
接口文档下载
苏公网安备 32059002001776号